Bug 25504 - Sound subsystem locks on Yamaha Corporation YMF-744B after suspend
Summary: Sound subsystem locks on Yamaha Corporation YMF-744B after suspend
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-01 18:09 UTC by Donald Harper
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 19:44:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Donald Harper 2001-02-01 18:09:51 UTC
After manually modprobe -a ymfpci, sound works great until I hardware
suspends.  Then, it locks the sound subsystem on resume.  xmms process goes
into a blocked waiting for IO state, and I have to reboot to clear it up.

Comment 1 Glen Foster 2001-02-01 19:44:26 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Bernhard Rosenkraenzer 2001-02-08 18:19:09 UTC
Set RESTORESOUND and RESTORESOUNDPROGS to yes in /etc/sysconfig/apmd.
Also, add your sound module to the SOUNDMODULES list.

/etc/sysconfig/apmd is full of possible workarounds for broken
hardware and BIOSes (along with comments on when/how the workarounds
need to be activated).

Comment 3 Donald Harper 2001-02-08 18:31:01 UTC
Cool..thanks...I will test this out as soon as I finish a compile...




Note You need to log in before you can comment on or make changes to this bug.